# SelectClause

    public protocol SelectClause

Abstracts the `Select` clause for protocol utilities.

- `ObjectType`

  The `DynamicObject` type associated with the clause

  #### Declaration

  Swift

      associatedtype ObjectType : DynamicObject

- `ReturnType`

  The `SelectResultType` type associated with the clause

  #### Declaration

  Swift

      associatedtype ReturnType : SelectResultType

- `selectTerms`

  The `SelectTerm`s for the query

  #### Declaration

  Swift

      var selectTerms: [SelectTerm<ObjectType>] { get }